Modify

Opened 4 years ago

Last modified 2 months ago

#18697 new defect

IAE: "Failed to set current primitive. Current version not available in history" after conflicts

Reported by: anonymous Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report history conflict regression Cc:

Description (last modified by gaben)

What steps will reproduce the problem?

Unsure. Crash Report unexpectedly popped up.

Modified: see #18816 for reproduction steps.

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-02-01 01:10:57 +0100 (Sat, 01 Feb 2020)
Build-Date:2020-02-01 00:12:46
Revision:15806
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15806 en) Mac OS X 10.14.6
OS Build number: Mac OS X 10.14.6 (18G3020)
Memory Usage: 1850 MB / 1850 MB (265 MB allocated, but free)
Java version: 1.8.0_201-b09, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: Display 188945226 1920x1080, Display 69969284 2048x1152
Maximum Screen Size: 2048x1152
VM arguments: [-Djava.security.policy=file:<java.home>/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/Desktop/josm.jnlp, -Djnlpx.remove=false, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=NULL,2048m, -Dmacosx.jnlpx.dock.name=JOSM, -Dmacosx.jnlpx.dock.icon=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/25/4c122699-6f5f907a.icns, -Djnlpx.jvm="<java.home>/bin/java"]
Dataset consistency test: No problems found

Plugins:
+ EasyPresets (1537621333)
+ Mapillary (1.5.20)
+ OpenStreetCam (280)
+ apache-commons (35092)
+ apache-http (35092)
+ auto_tools (73)
+ buildings_tools (35248)
+ graphview (35313)
+ intersection (0.0.7)
+ jna (35092)
+ osm-obj-info (56)
+ reverter (35313)
+ rex (53)
+ tageditor (35258)
+ turnlanes-tagging (283)
+ turnrestrictions (35313)
+ utilsplugin2 (35248)

Tagging presets:
+ https://raw.githubusercontent.com/osmlab/name-suggestion-index/master/dist/name-suggestions.presets.xml

Map paint styles:
+ https://raw.githubusercontent.com/KaartGroup/Kaart-Styles/master/Kaart-Styles.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ https://raw.githubusercontent.com/KaartGroup/Kaart-Styles/master/Overlapping%20Ways.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://raw.githubusercontent.com/species/josm-preset-traffic_sign_direction/master/direction.mapcss

Validator rules:
+ https://raw.githubusercontent.com/KaartGroup/KaartValidator/master/kaart.clingstone.validator.mapcss

Last errors/warnings:
- E: Conflicts detected - <html>Uploading <strong>failed</strong> because the server has a newer version of one<br>of your nodes, ways, or relations.<br>The conflict is caused by the <strong>way</strong> with id <strong>767,597,312</strong>,<br>the server has version 4, your version is 3.<br><br>Click <strong>Synchronize way 767,597,312 only</strong> to synchronize the conflicting primitive only.<br>Click <strong>Synchronize entire dataset</strong> to synchronize the entire local dataset with the server.<br>Click <strong>Cancel</strong> to abort and continue editing.<br></html>
- W: Deleted or moved objects - <html>There are 6 objects in your local dataset which might be deleted on the server.<br>If you later try to delete or update them the server is likely to report a conflict.<br>Click <strong>Check on the server</strong> to check the state of these objects on the server.<br>Click <strong>Ignore</strong> to ignore.</html>
- E: Error header: Version mismatch: Provided 3, server had: 4 of Way 767597312
- E: Conflicts detected - <html>Uploading <strong>failed</strong> because the server has a newer version of one<br>of your nodes, ways, or relations.<br>The conflict is caused by the <strong>way</strong> with id <strong>767,597,312</strong>,<br>the server has version 4, your version is 3.<br><br>Click <strong>Synchronize way 767,597,312 only</strong> to synchronize the conflicting primitive only.<br>Click <strong>Synchronize entire dataset</strong> to synchronize the entire local dataset with the server.<br>Click <strong>Cancel</strong> to abort and continue editing.<br></html>
- W: Conflicts detected - <html>There was 1 conflict detected.</html>
- W: Deleted or moved objects - <html>There are 6 objects in your local dataset which might be deleted on the server.<br>If you later try to delete or update them the server is likely to report a conflict.<br>Click <strong>Check on the server</strong> to check the state of these objects on the server.<br>Click <strong>Ignore</strong> to ignore.</html>
- W: java.net.ConnectException: Operation timed out (Connection timed out)
- W: java.net.ConnectException: Operation timed out (Connection timed out)
- W: Deleted or moved objects - <html>There are 3 objects in your local dataset which might be deleted on the server.<br>If you later try to delete or update them the server is likely to report a conflict.<br>Click <strong>Check on the server</strong> to check the state of these objects on the server.<br>Click <strong>Ignore</strong> to ignore.</html>
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Failed to set current primitive. Current version 5 not available in history.


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (45) of javawsApplicationThreadGroup
java.lang.IllegalArgumentException: Failed to set current primitive. Current version 5 not available in history.
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:334)
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:416)
	at org.openstreetmap.josm.gui.history.VersionTable$MouseListener.mousePressed(VersionTable.java:137)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:280)
	at java.awt.Component.processMouseEvent(Component.java:6536)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
	at java.awt.Component.processEvent(Component.java:6304)
	at java.awt.Container.processEvent(Container.java:2239)
	at java.awt.Component.dispatchEventImpl(Component.java:4889)
	at java.awt.Container.dispatchEventImpl(Container.java:2297)
	at java.awt.Component.dispatchEvent(Component.java:4711)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4904)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4532)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4476)
	at java.awt.Container.dispatchEventImpl(Container.java:2283)
	at java.awt.Window.dispatchEventImpl(Window.java:2746)
	at java.awt.Component.dispatchEvent(Component.java:4711)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:760)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:74)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:84)
	at java.awt.EventQueue$4.run(EventQueue.java:733)
	at java.awt.EventQueue$4.run(EventQueue.java:731)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:74)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:730)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:205)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Attachments (0)

Change History (26)

comment:1 by Don-vip, 4 years ago

Keywords: history added
Summary: Crash ReportIAE: Failed to set current primitive. Current version not available in history

comment:2 by Don-vip, 4 years ago

Keywords: conflict added
Summary: IAE: Failed to set current primitive. Current version not available in historyIAE: "Failed to set current primitive. Current version not available in history" after conflicts

comment:3 by skyper, 4 years ago

Is overpass used for the history ?

comment:4 by gaben, 4 years ago

Ticket #18816 has been marked as a duplicate of this ticket.

comment:5 by gaben, 4 years ago

Maybe regression from r15772?

comment:6 by gaben, 4 years ago

Keywords: regression added

It definitely worked a few months before.

comment:7 by gaben, 3 years ago

I'll test reverting r15772 next month to see if it helps.

(ping for myself)

comment:8 by gaben, 3 years ago

Yep, it's a regression from r15772. Can't reproduce on a local build where it got reverted. See #18816 for reproduction steps.

Build-Date:2021-04-03 08:51:54
Revision:17702
Is-Local-Build:true

Identification: JOSM/1.5 (17702 SVN hu) Windows 10 64-Bit
OS Build number: Windows 10 Pro for Workstations 2009 (19042)
Memory Usage: 1792 MB / 7266 MB (703 MB allocated, but free)
Java version: 1.8.0_281-b09, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920×1200 (scaling 1,00×1,00)
Maximum Screen Size: 1920×1200
Best cursor sizes: 16×16→32×32, 32×32→32×32
System property file.encoding: Cp1250
System property sun.jnu.encoding: Cp1250
Dataset consistency test: No problems found
Last edited 3 years ago by gaben (previous) (diff)

comment:9 by simon04, 3 years ago

Milestone: 21.04

comment:10 by simon04, 3 years ago

Milestone: 21.0421.05
Owner: changed from team to simon04
Status: newassigned

comment:11 by gaben, 3 years ago

Description: modified (diff)

comment:12 by simon04, 3 years ago

Milestone: 21.0521.06

comment:13 by gaben, 3 years ago

@simon04, do you have plans with this ticket other than revert r15772?

comment:14 by simon04, 3 years ago

I don't fully understand why r15772 caused this problem. But reverting is easiest (apart from two revert/merge conflicts)...

comment:15 by simon04, 3 years ago

Resolution: fixed
Status: assignedclosed

In 17921/josm:

fix #18697 - Revert "Simplify HistoryViewerPanel.buildTable"

This reverts commit r15772

in reply to:  14 comment:16 by gaben, 3 years ago

Replying to simon04:

I don't fully understand why r15772 caused this problem.

Same :D I plan to look into this later this month.

apart from two revert/merge conflicts

IntelliJ's magic wand can do everything 😄

comment:17 by skyper, 3 years ago

Ticket #20978 has been marked as a duplicate of this ticket.

comment:18 by gaben, 3 years ago

Resolution: fixed
Status: closedreopened

Okay, here is the current situation.

When I checked in April, reverting the changes (r15772) worked as expected with r17702.

Unfortunately, I ran into this problem again with r17921, so something has changed between [17703:17920] which breaks even the original implementation.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-06-02 23:14:11 +0200 (Wed, 02 Jun 2021)
Build-Date:2021-06-03 01:31:07
Revision:17921
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17921 hu) Windows 10 64-Bit
OS Build number: Windows 10 Pro for Workstations 2009 (19043)
Memory Usage: 969 MB / 7266 MB (395 MB allocated, but free)
Java version: 1.8.0_291-b10, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1920×1200 (scaling 1.00×1.00)
Maximum Screen Size: 1920×1200
Best cursor sizes: 16×16→32×32, 32×32→32×32
System property file.encoding: Cp1250
System property sun.jnu.encoding: Cp1250
Locale info: hu_HU
Numbers with default locale: 1234567890 -> 1234567890
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%UserProfile%\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\31\583aa85f-40eb3c02, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=65125, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm-latest.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (60) of javawsApplicationThreadGroup
java.lang.IllegalArgumentException: Nem sikerült aktuális elemet beállítani. A jelenlegi 6 verzió nem elérhető az előzményben.
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:352)
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:434)
	at org.openstreetmap.josm.gui.history.VersionTable$MouseListener.mousePressed(VersionTable.java:142)
	at java.awt.AWTEventMulticaster.mousePressed(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:19 by skyper, 3 years ago

I notice that even with changes, in history viewer, the object's version number is not raised by one but remains the same as the last version. Is this intended?

comment:20 by Don-vip, 3 years ago

Owner: changed from simon04 to team
Status: reopenednew

comment:21 by Don-vip, 3 years ago

Milestone: 21.0621.07

comment:22 by Don-vip, 3 years ago

Milestone: 21.0721.08

comment:23 by Don-vip, 3 years ago

Milestone: 21.08

comment:24 by gaben, 3 years ago

The version number also not getting bumped, noticed in #21362.

comment:25 by Woazboat, 2 months ago

Just encountered a similar crash after clicking on the latest version of an object in a history browser window that has been open for a while. Not entirely sure what I did before that, but iirc I initially opened the history window while the change was not yet uploaded to the server, then uploaded it and clicked in the already opened history window again after some time which led to the crash.

Revision:18940
Is-Local-Build:false
Build-Date:2024-01-18 04:38:51
Debian-Release:0.0.svn18940+dfsg-1
Build-Name:Debian

Identification: JOSM/1.5 (18940 Debian en_GB) Linux Debian GNU/Linux trixie/sid
Memory Usage: 1960 MB / 3922 MB (404 MB allocated, but free)
Java version: 17.0.10+7-Debian-1, Debian, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 1920×1080 (scaling 1.00×1.00) :0.1 2560×1080 (scaling 1.00×1.00)
Maximum Screen Size: 2560×1080
Best cursor sizes: 16×16→16×16, 32×32→32×32
Environment variable LANG: en_IE.UTF-8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_GB
Numbers with default locale: 1234567890 -> 1234567890
Desktop environment: KDE
Java package: openjdk-17-jre:amd64-17.0.10+7-1
Java ATK Wrapper package: libatk-wrapper-java:all-0.40.0-3
libcommons-compress-java: libcommons-compress-java:all-1.25.0-1
libcommons-logging-java: libcommons-logging-java:all-1.3.0-1
fonts-noto: fonts-noto:all-20201225-2
VM arguments: [--module-path=/usr/share/openjfx/lib, --add-modules=java.scripting,java.sql,javafx.controls,javafx.media,javafx.swing,javafx.web, -Djosm.restart=true, -Djava.net.useSystemProxies=true, --add-exports=java.base/sun.security.action=ALL-UNNAMED, --add-exports=java.desktop/com.sun.imageio.plugins.jpeg=ALL-UNNAMED, --add-exports=java.desktop/com.sun.imageio.spi=ALL-UNNAMED]
Dataset consistency test: No problems found

Plugins:
+ DirectDownload (36178)
+ EasyPresets (1623509627)
+ FastDraw (36200)
+ Lanes (${version.entry.commit.revision})
+ Mapillary (2.2.0)
+ OSRM (UNKNOWN)
+ OpeningHoursEditor (36196)
+ PicLayer (1.0.3)
+ PolygonCutOut (v0.7.3)
+ Review.Changes (1.1.1)
+ alignways (36200)
+ apache-commons (36176)
+ apache-http (36176)
+ areaselector (2.6.2)
+ austriaaddresshelper (88)
+ buildings_tools (36200)
+ centernode (v1.0.4)
+ changeset-viewer (0.0.7)
+ conflation (0.6.11)
+ contourmerge (v0.2.0)
+ editgpx (36126)
+ ejml (36176)
+ flatlaf (36176)
+ geotools (36176)
+ graphview (36196)
+ gridify (1606242219)
+ gson (35924)
+ http2 (35921)
+ imagery_offset_db (36126)
+ indoorhelper (1.2.3)
+ intersection (0.0.7)
+ jackan (${version.entry.commit.revision})
+ jackson (36176)
+ jaxb (36118)
+ jna (36176)
+ jogl (1.2.3)
+ jts (36004)
+ junctionchecking (36200)
+ kartverketimport (master-21e8b35eb349ceca2ab1987af57028117c097070)
+ kendzi3d-resources (0.0.2)
+ log4j (36176)
+ lwjgl (36176)
+ lwjgl-unixoid (36176)
+ measurement (36200)
+ opendata (36200)
+ openqa (v0.3.3)
+ osmwiki-dataitem (0.0.8)
+ pbf (36176)
+ pt_assistant (632)
+ reltoolbox (36200)
+ reverter (36196)
+ rex (53)
+ routing (36200)
+ shrinkwrap (v1.0.4)
+ splinex (36126)
+ tageditor (36200)
+ terracer (36196)
+ todo (137)
+ turnlanes-tagging (0.0.5)
+ turnrestrictions (36200)
+ utilsplugin2 (36200)
+ wikipedia (605)

Tagging presets:
+ https://github.com/kendzi/Simple3dBuildingsPreset/releases/download/0.9_2018-05-08/s3db-preset.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/BicycleJunction&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historic_Stone&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Bus_lanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Healthcare&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Heritage&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Historical_Objects&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Industrial&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Leaftype&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Light_sources&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Manholes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/MastAndTower&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/public_bookcase&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Simple_Indoor_Tagging&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.xml
+ https://osmtools.de/josm/steps.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/StreetCabinet&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Surveillance&zip=1
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/A.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/Trees&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/PublicTransportOneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/TurnLanes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/contact(socialnetworks_IMs)&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/PublicTransportGtfs&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Windrad&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/AdvertisingPreset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Community_Centre&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://gitlab.com/k127/josm-presets/raw/master/diplomatic.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Mountains&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Disc_Golf_Course&zip=1
+ <josm.userdata>/EasyPresets.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParcelLockers&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Radwege&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Wikidata&zip=1
+ ${HOME}/syncthing/Sync/Projects/OSM/josm_git/core/resources/data/defaultpresets.xml
+ https://raw.githubusercontent.com/Heiner-Sch/JOSM-preset-trees-Europe/master/JOSM-Preset_Trees.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/OpenStationMap&zip=1

Map paint styles:
- ${HOME}/syncthing/Sync/Projects/OSM/josm_git/resources/styles/standard/elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1
+ https://raw.githubusercontent.com/yopaseopor/indoormap/master/indoormap-style.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-traffic_sign_direction/master/direction.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Enhanced_Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ https://github.com/osmlab/appledata/archive/josm_paint_inline_validation.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/plan.at&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransportV2&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/BesideTheRoad_Speed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Admin_Boundaries&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Building_Levels_Labels&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Kerbs&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Direction&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/FixmeAndNote&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Landcover&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Mountains&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NoFeature&zip=1
- https://raw.githubusercontent.com/OpenSidewalks/OpenSidewalks-Schema/24b8775893b4a70d439807085673c67a3dbb1883/open_sidewalks.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/RecyclingMaterials&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SimpleBuildingTags&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SimpleRoofTags&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Ph_Typhoon&zip=1
- https://github.com/igitov/forest-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Power&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PriorityRoad&zip=1
- ${HOME}/josm/josm_area_highway_style.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Styles/Direction&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/SidewalksAndFootways&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Greenery&zip=1
- <josm.userdata>/plugins/indoorhelper/resources/sit.mapcss

Validator rules:
+ https://josm.openstreetmap.de/josmfile?page=Rules/OSMLint&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Rules/IndoorRules&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Rules/QAToolInspiredValidations&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Rules/KeepRight&zip=1
- https://josm.openstreetmap.de/josmfile?page=Rules/PublicTransportGtfs&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Rules/Pictures&zip=1
+ ${HOME}/josm/josm_area_highway_validator.validator.mapcss
+ ${HOME}/josm/heritage_bda.validator.mapcss

Last errors/warnings:
- 06412.567 W: restricted header name: "Connection"
- 06412.635 W: restricted header name: "Connection"
- 06534.403 W: restricted header name: "Connection"
- 06534.541 W: restricted header name: "Connection"
- 06534.609 W: restricted header name: "Connection"
- 06768.199 W: java.net.http.HttpTimeoutException: request timed out
- 07104.152 W: restricted header name: "Connection"
- 07104.289 W: restricted header name: "Connection"
- 07104.372 W: restricted header name: "Connection"
- 07655.788 E: Handled by bug report queue: java.lang.IllegalArgumentException: failed to set current. current version 2 not available in history



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (30) of main
java.lang.IllegalArgumentException: failed to set current. current version 2 not available in history
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:352)
	at org.openstreetmap.josm.gui.history.HistoryBrowserModel.setCurrentPointInTime(HistoryBrowserModel.java:434)
	at org.openstreetmap.josm.gui.history.VersionTable$MouseListener.mousePressed(VersionTable.java:142)
	at java.desktop/java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:288)
	at java.desktop/java.awt.Component.processMouseEvent(Component.java:6623)
	at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3389)
	at java.desktop/java.awt.Component.processEvent(Component.java:6391)
	at java.desktop/java.awt.Container.processEvent(Container.java:2266)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:5001)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2324)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4833)
	at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4948)
	at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4572)
	at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4516)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2310)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2780)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4833)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:775)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:720)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:714)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:399)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:97)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:747)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
	at java.base/java.security.AccessController.doPrivileged(AccessController.java:399)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:744)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

=== RUNNING THREADS ===
Thread: Common-Cleaner (20) of InnocuousThreadGroup
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17.0.10/jdk.internal.ref.CleanerImpl.run(CleanerImpl.java:140)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)
java.base@17.0.10/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:162)

Thread: HttpClient-1-SelectorManager (37) of main
java.base@17.0.10/sun.nio.ch.EPoll.wait(Native Method)
java.base@17.0.10/sun.nio.ch.EPollSelectorImpl.doSelect(EPollSelectorImpl.java:118)
java.base@17.0.10/sun.nio.ch.SelectorImpl.lockAndDoSelect(SelectorImpl.java:129)
java.base@17.0.10/sun.nio.ch.SelectorImpl.select(SelectorImpl.java:141)
platform/java.net.http@17.0.10/jdk.internal.net.http.HttpClientImpl$SelectorManager.run(HttpClientImpl.java:889)

Thread: DestroyJavaVM (79) of main

Thread: TMS-downloader-11 (118) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: main-worker-0 (29) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: Timer-2 (87) of main
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.Object.wait(Object.java:338)
java.base@17.0.10/java.util.TimerThread.mainLoop(Timer.java:537)
java.base@17.0.10/java.util.TimerThread.run(Timer.java:516)

Thread: TMS-downloader-18 (125) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-55 (401) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-5 (112) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-73 (487) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: AWT-EventQueue-0 (30) of main
Stacktrace see above.

Thread: ForkJoinPool.commonPool-worker-82 (535) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-6 (113) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: FileSystemWatchService (33) of main
java.base@17.0.10/sun.nio.fs.LinuxWatchService.poll(Native Method)
java.base@17.0.10/sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-17 (124) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-84 (534)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Timer-1 (82) of main
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.util.TimerThread.mainLoop(Timer.java:563)
java.base@17.0.10/java.util.TimerThread.run(Timer.java:516)

Thread: TMS-downloader-1 (108) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-22 (129) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-82 (537)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Java2D Disposer (25) of system
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.desktop@17.0.10/sun.java2d.Disposer.run(Disposer.java:145)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-21 (128) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-79 (533) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: styled-map-renderer-75 (491) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Notification Thread (21) of system

Thread: GT authority factory disposer (68) of main
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.Object.wait(Object.java:338)
java.base@17.0.10/java.util.TimerThread.mainLoop(Timer.java:537)
java.base@17.0.10/java.util.TimerThread.run(Timer.java:516)

Thread: TMS-downloader-13 (120) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-73 (520)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: styled-map-renderer-70 (482) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Reference Handler (2) of system
java.base@17.0.10/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@17.0.10/java.lang.ref.Reference.processPendingReferences(Reference.java:253)
java.base@17.0.10/java.lang.ref.Reference$ReferenceHandler.run(Reference.java:215)

Thread: TMS-downloader-16 (123) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-83 (536) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: styled-map-renderer-83 (538) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Weak reference cleaner (35) of main
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$375/0x00007f23e833e6f0.run(Unknown Source)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-52 (392)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: styled-map-renderer-44 (359) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: AWT-Shutdown (31) of system
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.Object.wait(Object.java:338)
java.desktop@17.0.10/sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:291)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-19 (126) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-23 (130) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-64 (474) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: ForkJoinPool.commonPool-worker-68 (507) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-3 (110) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-77 (530) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: message-notifier-0 (77) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:252)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:1672)
java.base@17.0.10/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@17.0.10/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-59 (471) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-10 (117) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: Timer-0 (72) of main
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.util.TimerThread.mainLoop(Timer.java:563)
java.base@17.0.10/java.util.TimerThread.run(Timer.java:516)

Thread: image-fetcher-0 (62) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-4 (111) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-46 (361) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-12 (119) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-66 (477) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: changeset-updater-0 (78) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:252)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:1672)
java.base@17.0.10/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@17.0.10/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TimerQueue (32) of system
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:252)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:1672)
java.base@17.0.10/java.util.concurrent.DelayQueue.take(DelayQueue.java:229)
java.desktop@17.0.10/javax.swing.TimerQueue.run(TimerQueue.java:172)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-80 (510) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: styled-map-renderer-58 (416) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-15 (122) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: AWT-XAWT (28) of system
java.desktop@17.0.10/sun.awt.X11.XToolkit.waitForEvents(Native Method)
java.desktop@17.0.10/sun.awt.X11.XToolkit.run(XToolkit.java:683)
java.desktop@17.0.10/sun.awt.X11.XToolkit.run(XToolkit.java:647)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: Map Status Collector (88) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:438)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-2 (109) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-81 (532)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: RemoteControl HTTP Server (76) of main
java.base@17.0.10/sun.nio.ch.Net.accept(Native Method)
java.base@17.0.10/sun.nio.ch.NioSocketImpl.accept(NioSocketImpl.java:760)
java.base@17.0.10/java.net.ServerSocket.implAccept(ServerSocket.java:675)
java.base@17.0.10/java.net.ServerSocket.platformImplAccept(ServerSocket.java:641)
java.base@17.0.10/java.net.ServerSocket.implAccept(ServerSocket.java:617)
java.base@17.0.10/java.net.ServerSocket.implAccept(ServerSocket.java:574)
java.base@17.0.10/java.net.ServerSocket.accept(ServerSocket.java:532)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: TMS-downloader-0 (107) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-81 (511) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: CacheEventQueue.QProcessor-api_BLOCK_v2Thread-5 (71) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-20 (127) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-76 (529) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: Finalizer (3) of system
java.base@17.0.10/java.lang.Object.wait(Native Method)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@17.0.10/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.base@17.0.10/java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:172)

Thread: TMS-downloader-24 (131) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-75 (527) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-8 (115) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: RemoteControl HTTP Server (75) of main
java.base@17.0.10/sun.nio.ch.Net.accept(Native Method)
java.base@17.0.10/sun.nio.ch.NioSocketImpl.accept(NioSocketImpl.java:760)
java.base@17.0.10/java.net.ServerSocket.implAccept(ServerSocket.java:675)
java.base@17.0.10/java.net.ServerSocket.platformImplAccept(ServerSocket.java:641)
java.base@17.0.10/java.net.ServerSocket.implAccept(ServerSocket.java:617)
java.base@17.0.10/java.net.ServerSocket.implAccept(ServerSocket.java:574)
java.base@17.0.10/java.net.ServerSocket.accept(ServerSocket.java:532)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: styled-map-renderer-74 (490)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: CacheEventQueue.QProcessor-TMS_BLOCK_v2Thread-2 (67) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: File Watcher (34) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:673)
java.base@17.0.10/sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$326/0x00007f23e82fc620.run(Unknown Source)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: Signal Dispatcher (4) of system

Thread: styled-map-renderer-69 (481) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: styled-map-renderer-49 (364) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-7 (114) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: ForkJoinPool.commonPool-worker-69 (508) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: ForkJoinPool.commonPool-worker-80 (531) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: JCS-ElementEventQueue-Thread-1 (66) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:435)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: styled-map-renderer-68 (467)
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:410)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1726)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1623)
java.base@17.0.10/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:165)

Thread: TMS-downloader-9 (116) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

Thread: TMS-downloader-14 (121) of main
java.base@17.0.10/jdk.internal.misc.Unsafe.park(Native Method)
java.base@17.0.10/java.util.concurrent.locks.LockSupport.park(LockSupport.java:341)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(AbstractQueuedSynchronizer.java:506)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.unmanagedBlock(ForkJoinPool.java:3465)
java.base@17.0.10/java.util.concurrent.ForkJoinPool.managedBlock(ForkJoinPool.java:3436)
java.base@17.0.10/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1623)
java.base@17.0.10/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:485)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1062)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1122)
java.base@17.0.10/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:635)
java.base@17.0.10/java.lang.Thread.run(Thread.java:840)

comment:26 by Woazboat, 2 months ago

Selecting the offending node again and clicking the the history button refreshed the window content with the correct history and works fine after that.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from team to the specified user.
Next status will be 'needinfo'. The owner will be changed from team to anonymous.
as duplicate The resolution will be set to duplicate. Next status will be 'closed'. The specified ticket will be cross-referenced with this ticket.
The owner will be changed from team to anonymous. Next status will be 'assigned'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.